#
# spec file for package gnome-builder
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-builder
Version:        3.20.4
Release:        3.3
Summary:        GNOME Builder - IDE
License:        GPL-3.0+ and GPL-2.0+ and LGPL-3.0+ and LGPL-2.1+ and CC-BY-SA-3.0
Group:          Development/Tools/Other
Url:            https://wiki.gnome.org/Apps/Builder
Source:         http://download.gnome.org/sources/gnome-builder/3.20/%{name}-%{version}.tar.xz
Source99:       %{name}-rpmlintrc
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  gtk-doc
BuildRequires:  intltool >= 0.50.0
BuildRequires:  itstool
BuildRequires:  llvm-clang-devel
BuildRequires:  pkg-config
BuildRequires:  python3-devel >= 3.2.3
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gio-2.0) >= 2.47.92
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.45.8
BuildRequires:  pkgconfig(gjs-1.0) >= 1.42.0
BuildRequires:  pkgconfig(gjs-internals-1.0) >= 1.42.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.47.92
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20.0
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.20.0
BuildRequires:  pkgconfig(libdevhelp-3.0)
BuildRequires:  pkgconfig(libgit2-glib-1.0) >= 0.23.7
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.18.0
BuildRequires:  pkgconfig(libvala-0.32)
BuildRequires:  pkgconfig(pangoft2) >= 1.38.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 3.19.3
BuildRequires:  pkgconfig(vapigen) >= 0.30.0.55
BuildRequires:  pkgconfig(vte-2.91) >= 0.40.2
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.12.0
Requires:       autoconf
Requires:       automake
Requires:       libtool
%if 0%{?suse_version} > 1320
Requires:       python3-gobject-Gdk
%endif
Recommends:     %{name}-lang
Recommends:     gnome-builder-plugin-clang = %{version}
Recommends:     gnome-builder-plugin-ctags = %{version}
Recommends:     gnome-builder-plugin-devhelp = %{version}
Recommends:     gnome-builder-plugin-fpaste = %{version}
Recommends:     gnome-builder-plugin-gettext = %{version}
Recommends:     gnome-builder-plugin-gnome-code-assistance = %{version}
Recommends:     gnome-builder-plugin-html-completion = %{version}
Recommends:     gnome-builder-plugin-jedi = %{version}
Recommends:     gnome-builder-plugin-jhbuild = %{version}
Recommends:     gnome-builder-plugin-mingw = %{version}
Recommends:     gnome-builder-plugin-symbol-tree = %{version}
Recommends:     gnome-builder-plugin-sysmon = %{version}
Recommends:     gnome-builder-plugin-todo = %{version}
Recommends:     gnome-builder-plugin-xml-pack = %{version}
Recommends:     gnome-builder-plugin-vala-pack = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Builder is a new IDE for GNOME that is focused on bringing the power of our platform to more developers than ever before.

#==========================================================
%package plugin-clang
Summary:        Clang plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       llvm-clang
Supplements:    packageand(%{name}:llvm-clang)

%description plugin-clang
This package provides the clang plugin for %{name}.

%files plugin-clang
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/clang.plugin
%{_libdir}/%{name}/plugins/libclang-plugin.so
#==========================================================

#==========================================================
%package plugin-ctags
Summary:        Ctags plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       ctags
Supplements:    packageand(%{name}:ctags)

%description plugin-ctags
This package provides the ctags plugin for %{name} to enable code completion assistance in C/C++ using ctags.

%files plugin-ctags
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/ctags.plugin
%{_libdir}/%{name}/plugins/libctags-plugin.so
#==========================================================

#==========================================================
%package plugin-devhelp
Summary:        Devhelp plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       devhelp
Supplements:    packageand(%{name}:devhelp)

%description plugin-devhelp
This package provides the devhelp plugin for %{name}.

%files plugin-devhelp
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/devhelp.plugin
%{_libdir}/%{name}/plugins/libdevhelp-plugin.so
#==========================================================

#==========================================================
%package plugin-fpaste
Summary:        Fpaste plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description plugin-fpaste
This package provides the fpaste plugin for %{name} that allows one to paste selected code to Fedora Paste.

%files plugin-fpaste
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/fpaste.plugin
%dir %{_libdir}/%{name}/plugins/fpaste_plugin/
%dir %{_datadir}/%{name}/plugins/fpaste_plugin
%{_datadir}/%{name}/plugins/fpaste_plugin/
#==========================================================

#==========================================================
%package plugin-gettext
Summary:        Gettext plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       gettext
Supplements:    packageand(%{name}:gettext)

%description plugin-gettext
This package provides the gettext plugin for %{name}.

%files plugin-gettext
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/gettext.plugin
%{_libdir}/%{name}/plugins/libgettext-plugin.so
#==========================================================

#==========================================================
%package plugin-gnome-code-assistance
Summary:        Gnome-code-assistance plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       gnome-code-assistance
Supplements:    packageand(%{name}:gnome-code-assistance)

%description plugin-gnome-code-assistance
This package provides the gnome-code-assistance plugin for %{name}.

%post plugin-gnome-code-assistance
%{glib2_gsettings_schema_post}

%postun plugin-gnome-code-assistance
%{glib2_gsettings_schema_postun}

%files plugin-gnome-code-assistance
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/gnome-code-assistance.plugin
%{_libdir}/%{name}/plugins/libgnome-code-assistance-plugin.so
%{_datadir}/glib-2.0/schemas/org.gnome.builder.gnome-code-assistance.gschema.xml
#==========================================================

#==========================================================
%package plugin-html-completion
Summary:        HTML-completion plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description plugin-html-completion
This package provides the html-completion plugin for %{name}.

%files plugin-html-completion
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/html-completion.plugin
%{_libdir}/%{name}/plugins/libhtml-completion-plugin.so
#==========================================================

#==========================================================
%package plugin-jedi
Summary:        Jedi plugin for python3 code completion in %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       python3-jedi
Requires:       python3-lxml
Supplements:    packageand(%{name}:python3-jedi)

%description plugin-jedi
This package provides the jedi plugin for code completion assistance in Python3 inside %{name}'s editor.

%files plugin-jedi
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/jedi.plugin
%{_libdir}/%{name}/plugins/jedi_plugin.py
#==========================================================

#==========================================================
%package plugin-jhbuild
Summary:        Jhbuild plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       jhbuild
Supplements:    packageand(%{name}:jhbuild)

%description plugin-jhbuild
This package provides the jhbuild plugin for %{name}.

%files plugin-jhbuild
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/jhbuild.plugin
%{_libdir}/%{name}/plugins/jhbuild_plugin.py
#==========================================================

#==========================================================
%package plugin-mingw
Summary:        Mingw plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description plugin-mingw
This package provides the mingw plugin for %{name} for cross-compilation support using mingw.

%files plugin-mingw
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/mingw.plugin
%{_libdir}/%{name}/plugins/libmingw-plugin.so
#==========================================================

#==========================================================
%package plugin-symbol-tree
Summary:        Symbol-tree plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description plugin-symbol-tree
This package provides the symbol-tree plugin for %{name} to show the symbol tree for the currently focused document.

%files plugin-symbol-tree
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/symbol-tree.plugin
%{_libdir}/%{name}/plugins/libsymbol-tree.so
#==========================================================

#==========================================================
%package plugin-sysmon
Summary:        Sysmon plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description plugin-sysmon
This package provides the system monitor plugin for %{name}.

%files plugin-sysmon
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/sysmon.plugin
%{_libdir}/%{name}/plugins/libsysmon.so
#==========================================================

#==========================================================
%package plugin-todo
Summary:        Todo plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description plugin-todo
This package provides the todo plugin for %{name} that enables the extraction of TODO items from projects.

%files plugin-todo
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/todo.plugin
%dir %{_libdir}/%{name}/plugins/todo_plugin
%{_libdir}/%{name}/plugins/todo_plugin/
#==========================================================

#==========================================================
%package plugin-vala-pack
Summary:        Vala-pack plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       vala
Supplements:    packageand(%{name}:vala)

%description plugin-vala-pack
This package provides the vala-pack plugin for %{name}.

%files plugin-vala-pack
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/vala-pack.plugin
%{_libdir}/%{name}/plugins/libvala-pack-plugin.so
#==========================================================

#==========================================================
%package plugin-xml-pack
Summary:        XML-pack plugin for %{name}
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}

%description plugin-xml-pack
This package provides the xml-pack plugin for %{name}.

%files plugin-xml-pack
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/xml-pack.plugin
%{_libdir}/%{name}/plugins/libxml-pack-plugin.so
#==========================================================

%lang_package

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print
%suse_update_desktop_file org.gnome.Builder IDE
# We package those files using regular %%doc method
rm -rf %{buildroot}%{_datadir}/doc/
%find_lang %{name}

# [RPMLINT] REMOVE __pycache__ DIR CONTAINING AN UNNECESSARY PYTHON OBJECT FILE W/O CORRESPONDING SOURCE CODE
rm -fr %{buildroot}%{python3_sitearch}/gi/overrides/__pycache__/Ide.cpython-35.opt-1.pyc

%post
%{glib2_gsettings_schema_post}
%icon_theme_cache_post
%desktop_database_post

%postun
%{glib2_gsettings_schema_postun}
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/%{name}
%{_bindir}/ide
%{_bindir}/gnome-builder-worker
%{_libdir}/%{name}/
# EXCLUDE THE OPTIONAL PLUGINS FROM THE MAIN PACKAGE
%exclude %{_libdir}/%{name}/plugins/clang.plugin
%exclude %{_libdir}/%{name}/plugins/libclang-plugin.so
%exclude %{_libdir}/%{name}/plugins/ctags.plugin
%exclude %{_libdir}/%{name}/plugins/libctags-plugin.so
%exclude %{_libdir}/%{name}/plugins/devhelp.plugin
%exclude %{_libdir}/%{name}/plugins/libdevhelp-plugin.so
%exclude %{_libdir}/%{name}/plugins/fpaste.plugin
%exclude %{_libdir}/%{name}/plugins/fpaste_plugin
%exclude %{_datadir}/%{name}/plugins/fpaste_plugin
%exclude %{_libdir}/%{name}/plugins/gettext.plugin
%exclude %{_libdir}/%{name}/plugins/libgettext-plugin.so
%exclude %{_libdir}/%{name}/plugins/gnome-code-assistance.plugin
%exclude %{_libdir}/%{name}/plugins/libgnome-code-assistance-plugin.so
%exclude %{_libdir}/%{name}/plugins/html-completion.plugin
%exclude %{_libdir}/%{name}/plugins/libhtml-completion-plugin.so
%exclude %{_libdir}/%{name}/plugins/jedi.plugin
%exclude %{_libdir}/%{name}/plugins/jedi_plugin.py
%exclude %{_libdir}/%{name}/plugins/jhbuild.plugin
%exclude %{_libdir}/%{name}/plugins/jhbuild_plugin.py
%exclude %{_libdir}/%{name}/plugins/mingw.plugin
%exclude %{_libdir}/%{name}/plugins/libmingw-plugin.so
%exclude %{_libdir}/%{name}/plugins/symbol-tree.plugin
%exclude %{_libdir}/%{name}/plugins/libsymbol-tree.so
%exclude %{_libdir}/%{name}/plugins/sysmon.plugin
%exclude %{_libdir}/%{name}/plugins/libsysmon.so
%exclude %{_libdir}/%{name}/plugins/todo.plugin
%exclude %{_libdir}/%{name}/plugins/todo_plugin/
%exclude %{_libdir}/%{name}/plugins/libtodo-plugin.so
%exclude %{_libdir}/%{name}/plugins/vala-pack.plugin
%exclude %{_libdir}/%{name}/plugins/libvala-pack-plugin.so
%exclude %{_libdir}/%{name}/plugins/xml-pack.plugin
%exclude %{_libdir}/%{name}/plugins/libxml-pack-plugin.so
%{_libexecdir}/%{name}/
%{_datadir}/appdata/org.gnome.Builder.appdata.xml
%{_datadir}/applications/org.gnome.Builder.desktop
%{_datadir}/dbus-1/services/org.gnome.Builder.service
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.builder.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.editor.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.editor.language.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.extension-type.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.code-insight.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.project-tree.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.workbench.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.build.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.plugin.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.builder.terminal.gschema.xml
%{_datadir}/gtk-doc/html/libide/
%{_datadir}/gtksourceview-3.0/styles/builder-dark.xml
%{_datadir}/gtksourceview-3.0/styles/builder.xml
%{_datadir}/icons/hicolor/
%{_includedir}/%{name}-%{version}/
%{python3_sitearch}/gi/overrides/*

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Thu Jul 14 2016 badshah400@gmail.com
- Add Requires: python3-lxml to gnome-builder-plugin-jedi to
  prevent the warning: "python3-lxml is not installed, no
  documentation will be available in Python auto-completion".
* Thu May 26 2016 sreeves@suse.com
- Add to the SDK. Fate#319349
* Mon May 23 2016 egeorget@openmailbox.org
- Adding lang package as recommendation.
* Tue May 10 2016 badshah400@gmail.com
- Split out all optional plugins into their own sub-packages:
  + Add all the -plugin* subpackages as Recommends for the main
    gnome-builder package.
  + Add appropriate Requires and Supplements for each plugin
    subpackage where necessary.
- Add BuildRequires on pkgconfig(libvala-0.32) and
  pkgconfig(libdevhelp-3.0) to enable building the vala and
  devhelp plugins respectively; package these in their own
  sub-packages as well.
- Add BuildRequires on gtk-doc to enable the building of api
  reference.
- Add Requires on python3-gobject-Gdk, which is required since it
  was split off into its own sub-package from python3-gobject.
- Remove a __pycache__ dir with an unnecessary python object code
  inside without its accompanying source code to avoid an rpmling
  warning.
* Mon May  9 2016 sreeves@suse.com
- Add to the SDK. Fate#319349
- Change group to Development/Tools/Other
- Remove MIT and CC0-1.0 from License.
* Fri May  6 2016 zaitor@opensuse.org
- Update to version 3.20.4:
  + Support for opening remote files has been re-introduced.
  + Support for $CFLAGS, $CXXFLAGS, and $VALAFLAGS for projects
    without autotools support.
  + Automake VALAFLAGS extraction improvements.
  + Fixes for an editorconfig build-system issue that caused
    .editorconfig settings to be ignored.
  + When generating ctags via automake, no longer perform a full
    build.
  + Various CSS style tweaks.
  + Fix a leak of GtkMenu instances via the project tree.
  + Autotools no longer performs an autogen when cleaning the
    project.
  + Build output was eroneously editable.
  + Fix an unref of a non-owned object during symbol lookup.
  + Allow disabling restoration of previous files as startup.
  + Allow projects to exist in ~/.local, for those working on shell
    extensions.
  + Ensure the projects directory is available at startup.
  + Ignore symlinks when mining ctags directories.
  + Show better default values for number of build workers.
  + Load gtksourceview style schemes from gedit directory.
  + Support for reindent when multiple lines are selected.
  + Vala integration will now load versioned and unversioned
    vapi directories.
  + Fix a hard to trigger infinite loop at shutdown due to
    GDBusServer spinning trying to accept sockets.
  + Various search improvements.
  + Updated translations.
* Thu Apr 28 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + You can now select templates when creating a project, including
    C, C++, and Vala languages.
  + The Vala plugin now extracts --pkg command line arguments from
    autotools projects.
  + Various bug fixes to preferences and gsettings.
  + Much more of builder is translatable now.
  + Build for FreeBSD and OpenBSD.
  + Fixes to vim movements.
  + Many performance improvements to the editor.
  + Support for LLVM 3.8.
  + Fixes for ctrl+click on included headers to jump to header.
  + Fix for infinite loop in worker thread when cloning from
    unauthorized git repositories.
  + Builder removes unnecessary widgets after starting up, lowering
    the runtime overhead of the workbench.
  + You can move rename files outside their current directory.
  + Fixes for shorthand git URLs such as user@host:path.
  + The global file search now handles renames and deletes of
    project files.
  + The project window now includes the title of the project to
    help when multiple projects are open in GNOME Shell's overview.
  + Some projects that could not be removed from the greeter can
    now be removed.
  + Updated translations.
- Add autoconf, automake and libtool Requires: on upstreams
  request for autotools support.
* Fri Apr  1 2016 dimstar@opensuse.org
- Enable two more plugins (boo#973678):
  + html-preview: add pkgconfig(webkit2gtk-4.0) BuildRequires.
  + terminal: add pkgconfig(vte-2.91) BuildRequires.
* Wed Mar 23 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + More stylability controls using GtkSourceView style schemes.
  + The ability to toggle case-sensitivity with search context
    menus.
  + VIM movement improvements.
  + The ability to disable project miners at startup.
  + Improvements to the clang completion engine.
  + Show empty state screen when last document is closed.
  + Show project tree when last document is closed.
  + Various build system improvements.
  + Improvements to Control+Click on symbols in the editor.
  + Snippet parser improvements.
  + Filtering improvements in symbol tree.
  + Various bugs squashed in menu management.
  + A new comment code plugin.
* Tue Feb 23 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + A new diagnostic provider for common gettext errors.
  + Builder no longer bookmarks known temporary directories.
  + The framework for User Help has landed.
  + Terminal styling for Dark Mode has been fixed.
  + Preferences layout was extracted into EggColumnLayout and fixed
    various Height for Width issues.
  + Preferences for disabling various diagnostic engines was added.
  + Improvements to our shared library template.
  + A configuration manager has been added to allow building
    various project configurations. A configruation editor allows
    you to create new and tweak existing configurations.
  + Support building projects inside xdg-app runtime, using
    "xdg-app build".
  + Support for building inside of a jhbuild runtime.
  + Various tooltips were added to the user interface.
  + The line change gutter got support for rendering deleted lines.
  + Ctags got support for coalescing similar completion results.
  + Cursor location history and ctags were moved to .cache
    directories.
  + Libide, Egg, and Template-GLib headers are now installed to
    $(includedir)/gnome-builder-@VERSION@. This allows building C
    and vala plugins out of tree.
  + Support for enabling pylint via GNOME Code Assistance was
    added.
  + You can search for projects in the greeter using the directory
    name.
  + An empty state splash was added to the editor.
  + Various workarounds for recent changes in Vala.
  + Various fixes to the command bar availability.
  + Vim improvements.
  + Plugins can remove preferences when unloading.
- Add itstool BuildRequires: new dependency.
- Add rpmlintrc file: filter out devel-file-in-non-devel-package:
  gnome-builder being an IDE makes the whole purpoe of this package
  to be "development", even if it is not named -devel.
* Wed Jan 27 2016 dimstar@opensuse.org
- Update to version 3.19.4:
  + Perspectives have been implemented to allow for clearer
    groupings of application features and plugins.
  + Preferences has undergone substantial redesign. Preferences now
    use a custom perspective rather than a dialog window.
  + A new "ide" command exposing various Builder features to
    command line users.
  + Global search has gotten some style cleanup.
  + Builders custom CSS was rewritten for recent gtk+ changes.
  + A build panel has been added.
  + A Todo plugin was added to track todo items.
  + Perspectives can handle URI opening, allowing for perspectives
    such as a "glade perspective" to handle opening .ui files.
  + Builder-1.0.gir was dropped, in favor of Ide-1.0.gir.
  + Embedded plugins and dependency solving now works.
  + Plugin APIs were simplified.
  + Multi-process separation support using IdeWorker. Plugins can
    now easily move work to a subprocess and communicate via D-Bus.
    Jedi has been ported to multi-process mode for Python
    auto-completion.
  + Lots of Vim-mode improvements.
  + Vala plugin improvements.
  + External plugins are now supported.
  + Plugins can be loaded and unloaded.
  + Loads of bug and build system fixes.
  + Project greeter and project creation have been rewritten for
    perspectives.
  + Plugins now have automatic resources for menus.ui and css
    themes.
  + Various keybinding improvements.
  + Control+click works for navigating to type definitions.
  + scrolloffset has much improved and gained support for negative
    values, which works in the opposite direction (top down).
  + Search movements have been simplified.
- Add bison, flex, pkgconfig(gobject-introspection-1.0) and
  pkgconfig(pangoft2) BuildRequires: new dependencies.
* Thu Oct 15 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Initial support for Vala. Until we move this out of process, we
    do expect that things are a bit leaky. This plugin is written
    in Vala and requires libvala-0.30. It supports autocompletion,
    as-you-type error highlighting, a symbol tree, and jump to
    definition. We would love for the vala community continue
    helping make this plugin great.
  + You can now write plugins in Vala. *.vapi are generated for
    libide-1.0 and gnome-builder-1.0.
  + Autocompletion, in most scenarios, will be much faster.
  + Most autocompletion engines now support fuzzy completion. This
    means that "gtkwidshow" will match "gtk_widget_show".
  + A few crashers were fixed.
  + --enable-*-plugin now works correctly.
  + Content type loading was fixed so that Makefile.am are no longer
    opened by totem.
  + Python jedi completion has been improved.
  + Fix some coverity warnings.
  + A new button has been added to the editor to jump to the next
    warning or error.
  + The C indenter is a bit more friendly to alternate coding styles.
  + Reindent line support has landed (tab in emacs, == in vim,
    ctrl+alt+i as default).
  + A new font for the overview map has been enabled. It is called
    BuilderBlocks and is a generic block font based on Tofu.
  + The ctags plugin can now defer tags generation to automakes
    `make ctags`.
  + You can now draw marks for spaces, tabs, newlines, non-breaking
    whitespace, trailing and leading spaces.
  + Improvements to the search workflow.
  + Various vim and emacs compatability and stability improvements.
  + Jedi completion proposals now show the correct word and lower
    probability of functions that start with __.
  + Symbol tree panel stability improvements.
  + Updated translations.
- Add pkgconfig(vapigen) BuildRequires: Build the new vala support.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Buffer:
  - release symbol resolver aggressively.
  - disable device manager/mingw plugins by default.
  + Cindent: ensure we don't loop forever looking for context.
  + Counters:
  - add vsdo fallback on linux and no rdtscp instruction.
  - mask CPU bits from rdtscp instruction on x86_64.
  + Editor:
  - release underlying document aggressively to prevent leaks.
  - <shift>k in vim mode to request documentation.
  - add simple goto line popover, activate with ctr+i in gedit
    mode.
  - fix crash upon DnD to editor.
  + Keybindings: use ctrl+alt+o for global search in gedit mode.
  + Map-bin: ignore size adjustment when floating bar is not used.
  + Plugins: show plugin greyed out if it is disabled.
  + Search:
  - disable progress bar in search results.
  - fix popover bug when clearing search text.
  - make the search entry more forgiving to smaller sizes.
  - show more search results by default.
  + Symbol-tree: fix cache timeout to use milliseconds.
  + Theme: fix styling of view controls in stack header.
  + View-stack: allow focusing the view stack by clicking on the
    header.
* Thu Sep 17 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Progress on implementing UI designs.
  + A new shortcuts dialog to help you discover features.
  + A new plugin engine powered by Libpeas. Currently, only in-tree
    plugins are supported. Plugins can be written in C or Python3.
  + A new workspace layout with panels which can be extended by
    plugins.
  + Completion with support for GObject Introspection for Python3
    using Jedi.
  + Progress on device manager and CPU graphs.
  + Symbol tree is now shown in a panel which reduces widget
    overhead.
  + Loading of previous buffers is faster.
  + Read-only snippets viewer has been added to preferences.
  + Read-only plugin viewer in preferences.
  + Build systems can now be implemented as plugins.
  + Support for Terminals using VTE.
  + Editor overview map has been moved into GtkSourceView.
  + Smart backspace has been moved into GtkSourceView.
  + Builder gained printer support.
  + Updated translations.
- Add explicit pkgconfig(gtk+-3.0) BuildRequires.
- Drop pkgconfig(libdevhelp-3.0) BuildRequires: no longer needed.
- Add pkgconfig(libpeas-1.0) BuildRequires: new dependency.
- Replace desktop-file-utils BuildRequires with
  update-desktop-files in order to have suse_update_desktop_files
  available.
- use suse_update_desktop_files to add Builder.desktop to the
  category IDE.
* Mon May 18 2015 zaitor@opensuse.org
- Update to version 3.16.3:
  + A new source code minimap, recently pushed upstream into
    GtkSourceView.
  + A new greeter based on recent design work.
  + A new XML highlighter to highlight matching XML elements.
  + Support for ctags-based auto-completion.
  + High-performance, mutli-threaded counters that can be enabled
    with --enable-rdtscp. These are disabled by default as they
    require newer Intel Core i[357] features. ide-list-counters can
    be used to extract them from a running or crashed process.
  + The preferences interface has been vastly improved.
  + Search improvements.
  + A strftime format completion provider for Python.
  + Additional emacs, vim, and default keybindings.
  + Experimental support for building autotools projects with
    mingw.
  + Python auto-indenter improvements.
  + Many CSS style improvements on Adwaita.
  + Additional support for recursive-automake-based projects.
  + Some features have made configurable with gsettings.
  + Layered settings support for project vs global settings.
  + Improved modelines support.
  + Support for parsing DOAP files.
  + Various memory leaks were plugged.
  + Incremental highlighting has more aggressive invalidation.
  + Various race conditions in autotools support were fixes.
  + OpenBSD and FreeBSD build system fixes.
  + Many translation improvements.
  + libide-1.0.so and Ide-1.0.typelib are now installed to a
    private directory.
- Pass --disable-static to %%configure, we do not need them.
* Thu Apr 16 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Fix double free in dummy vcs.
  + Fix project tree loading in dummy vcs.
  + Fix workbench action names in emacs mode.
  + Improve sorting of filenames in project tree.
  + Ensure loading of files matching content types supported by
    GtkSourceLanguage.
  + Enable project tree by default.
  + Enable project tree icons by default.
  + Add rename file in project tree.
  + Add move to trash in project tree.
  + Sort previously opened projects before projects discovered by
    miners.
  + Use sysconf() for page size (fixes building on OpenBSD).
  + Various clang build fixes.
  + Use arrow down instead of hamburger for search bar.
  + Fix unicode in markdown live preview.
- Changes from version 3.16.1:
  + Improved project tree including support for creating files and
    folders, opening with external programs based on content-type,
    and file-manager integration.
  + A new incremental semantic syntax highlighting engine.
  + Semantic highlighting for C and C++ using Clang AST.
  + Document selection popover to ease switching between documents.
  + Symbols navigator for C and C++ files.
  + Apply "Fix-It" for C and C++ as provided by Clang.
  + Highlight build warnings in squiggly yellow lines.
  + Improvements to dark theme.
  + Improvements to Builder's style scheme for C and C++ languages.
  + "Jump to definition" support for C and C++ languages.
  + Ctrl+] or gd in vim mode, <alt>period in emacs mode.
  + A new project selection and creation dialog on startup.
  + Git clone support from new project dialog.
  + "Find other file" similar to emacs to switch between source and
    header files in C and C++.
  + Improvements to scroll-offset which allows you to keep a given
    number of lines above and below the cursor.
  + Respect Gtk's "sort-directories-first" GSetting.
  + Improvements to VIM mode including support for :bnext,
    :bprevious, :buffers and :ls.
  + Split support for HTML view.
  + Build fixes for FreeBSD and OpenBSD.
  + Support for editing "application/x-php" files.
  + Support extraction of CFLAGS from out-of-tree, non-recursive
    automake.
  + A new symbolic icon.
  + Improvements to handling of drafts.
  + Improvements to autotools builders.
  + Updated translations.
- Drop gnome-builder-buildfixes.patch: Fixed upstream.
* Thu Mar 26 2015 dimstar@opensuse.org
- Update License tag to: GPL-3.0+ and GPL-2.0+ and LGPL-3.0+ and
  LGPL-2.1+ and MIT and CC-BY-SA-3.0 and CC0-1.0.
* Tue Mar 24 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + A beautiful new GtkSourceView theme influenced by design grid
    paper.
  + Integrated source editor based on GtkSourceView.
  + Live diagnostics as you type for C, C++ via Clang.
  + Live diagnostics as you type for Python, Ruby, CSS, JavaScript,
    JSON, Vala, Go, and others via gnome-code-assistance.
  + Highlighting of added/changed lines within the source editor.
  + Robust Vim and Emacs emulation.
  + Multiple views into single file. Both horizontal and vertical
    splits are supported.
  + Navigation history to jump back and forward within modified
    files.
  + Robust snippet engine including support for GLib 2.44 style
    GObjects.
  + Quick search to locate files within your project as well as
    documentation in devhelp.
  + Smart backspace to simplify using spaces instead of tabs.
  + A command bar to execute internal GActions and Vim style
    commands with autocompletion.
  + An implementation of Vim's scrolloffset.
  + Restoration of insertion cursor when reloading a file.
  + Autocompletion based on current words in loaded buffers.
  + Experimental support for autocompletion based on clang.
  + Support for vim, emacs, and kate style modelines.
  + Editorconfig support.
  + Experimental read-only support for autoconf/automake based
    build systems.
  + Robust auto-indenters for GNU C89, Python, and XML.
  + Experimental project tree (available via F9).
  + Experimental support for building automake based projects.
  + Keybinding replay for command repeat in Vim emulation.
  + Autosaving of modified buffers, never lose a change.
  + Scripting via Python (CPython) or JavaScript (Gjs) and GObject
    Introspection.
  + Dynamic power management when running on laptop battery.
  + HTML and Markdown live preview.
  + Autocompletion of g_date_time_format() format parameters.
  + Type ahead search with rubberbanding.
- Drop gnome-builder-build-32bit.patch: fixed upstream.
- Add gnome-builder-buildfixes.patch: Build fixes, taken from git.
* Thu Feb  5 2015 dimstar@opensuse.org
- Add gnome-builder-build-32bit.patch: Fix build on 32bit systems.
* Wed Jan 21 2015 dimstar@opensuse.org
- Initial package, version 3.15.4.1.
